## class MoveShapesCmd : public Command

> abstract command class for moving shapes

## Inheritance:

### Public Methods

  | MoveShapesCmd (ShapeView *v, List<GShape *> *s)
  virtual | ~MoveShapesCmd ()
  virtual void | Execute ()
  void | UnExecute ()
  const char* | GetName () const

### Protected Methods

  List <GShape *> * | GetShapes () const
  ShapeView* | GetView () const

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> abstract command class for moving shapes

`MoveShapesCmd(ShapeView *v, List<GShape *> *s)`

`virtual ~MoveShapesCmd()`

`virtual void Execute()`

`void UnExecute()`

`const char* GetName() const`

`List <GShape *> * GetShapes() const`

`ShapeView* GetView() const`

Direct child classes:
  MoveAllShapesCmd
  AlignNodeShapesCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de